/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from observer.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __OBSERVER_STUB__
#define __OBSERVER_STUB__

#include <dcopstub.h>
#include <tdeio/renamedlg.h>
#include <tdeio/skipdlg.h>
#include <tdeio/job.h>
#include <tdeio/authinfo.h>
#include <tdeio/global.h>
#include <tqintdict.h>
#include <dcopobject.h>
#include <tqobject.h>


class TDEIO_EXPORT Observer_stub : virtual public DCOPStub
{
public:
    Observer_stub( const TQCString& app, const TQCString& id );
    Observer_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit Observer_stub( const DCOPRef& ref );
    virtual void killJob( int progressId );
    virtual TDEIO::MetaData metadata( int progressId );
protected:
    Observer_stub() : DCOPStub( never_use ) {}
};


#endif
